求助:关于python

Python/PHP/Perl 开发与设计
回复
yimaizhe
帖子: 48
注册时间: 2011-05-05 16:38
送出感谢: 0
接收感谢: 0

求助:关于python

#1

帖子 yimaizhe » 2011-06-03 10:16

大家好,我之前在ubuntu10.10上通过sudo apt-get install python 安装了python2.6.6,后面自己又下载了python2.5.6.tar 安装,通过
export PATH=/home/bhli/pyhton2.5/bin:$PATH
让python2.5.6变成了默认的python,现在我想把python2.5.6卸载掉,重新让python2.6.6变成系统默认的python该怎么操作呢?
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

Re: 求助:关于python

#2

帖子 leeaman » 2011-06-03 10:35

删除你自己安装的,删除添加的PATH变量就可以了吧
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
yimaizhe
帖子: 48
注册时间: 2011-05-05 16:38
送出感谢: 0
接收感谢: 0

Re: 求助:关于python

#3

帖子 yimaizhe » 2011-06-03 11:00

leeaman 写了:删除你自己安装的,删除添加的PATH变量就可以了吧
你好,绝对的新手,你能不能详细的说下怎么操作?我现在进/usr/local/lib/
sudo rm -r python2.5
还是没有用
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

Re: 求助:关于python

#4

帖子 leeaman » 2011-06-03 11:08

/home/bhli/pyhton2.5/bin
不是在这里的吗?
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

Re: 求助:关于python

#5

帖子 leeaman » 2011-06-03 11:09

新手干嘛折腾python版本呢?
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
yimaizhe
帖子: 48
注册时间: 2011-05-05 16:38
送出感谢: 0
接收感谢: 0

Re: 求助:关于python

#6

帖子 yimaizhe » 2011-06-03 11:23

leeaman 写了:新手干嘛折腾python版本呢?
没办法呀,要装一个专业软件需要用python,是把那个/bin里面带有2.5的都删掉对吗?(因为里面还有2.6的)
然后该怎么删除之前添加的PATH呢?
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

Re: 求助:关于python

#7

帖子 leeaman » 2011-06-03 11:27

你加在哪里就删除哪里咯
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
levee
帖子: 3030
注册时间: 2009-10-03 23:31
送出感谢: 0
接收感谢: 13 次

Re: 求助:关于python

#8

帖子 levee » 2011-06-03 11:42

做个python的软链接,将它指向自己需要的那个版本。
yimaizhe
帖子: 48
注册时间: 2011-05-05 16:38
送出感谢: 0
接收感谢: 0

Re: 求助:关于python

#9

帖子 yimaizhe » 2011-06-03 11:58

leeaman 写了:你加在哪里就删除哪里咯
我不记得我以前是怎么弄的了?
yimaizhe
帖子: 48
注册时间: 2011-05-05 16:38
送出感谢: 0
接收感谢: 0

Re: 求助:关于python

#10

帖子 yimaizhe » 2011-06-03 12:04

levee 写了:做个python的软链接,将它指向自己需要的那个版本。

如何做软链接呢?我google了,好像很多说做软链接,具体怎么操作呢?
头像
leeaman
帖子: 30702
注册时间: 2007-02-02 18:14
系统: debian sid
送出感谢: 1 次
接收感谢: 23 次

Re: 求助:关于python

#11

帖子 leeaman » 2011-06-03 12:04

那就不理他...那个没有什么影响的,删除2.5的版本就可以了,不过一般是在/etc/profile 或者 /etc/envir(环境那个单词)不记得...不好意思
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)
头像
remeber
论坛版主
帖子: 13005
注册时间: 2009-01-06 15:18
来自: 人间
送出感谢: 1 次
接收感谢: 22 次

Re: 求助:关于python

#12

帖子 remeber » 2011-06-07 13:31

environment
“有一种被人抛诸脑后的过去,包含一些不该遗忘的点点滴滴。欢笑之余,我将故旧拾起,才刹见自己的薄情。人世间似乎存在着某种公平,每个人都曾被抛掷在他人的遗忘中;而今你所有哽咽难宣的话语,也正是你曾为人所期盼,却永远听不见的字句。” —赫曼 赫塞
回复

回到 “Python/Php/Perl”